Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.util
Class ChainedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.htmlparser.util.ChainedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ParserException

    public class ChainedException

extends Exception

See Also:
  Serialized Form

Field Summary
`protected Throwable` | `throwable`

Constructor Summary
`ChainedException()`
`ChainedException(String message)`
`ChainedException(String message, Throwable throwable)`
`ChainedException(Throwable throwable)`

Method Summary
`String[]` | `getMessageChain()`
`Vector` | `getMessageList()`
`Throwable` | `getThrowable()`
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream out)`
`void` | `printStackTrace(PrintWriter out)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### throwable

    protected Throwable throwable

Constructor Detail

### ChainedException

    public ChainedException()

### ChainedException

    public ChainedException(String message)

### ChainedException

    public ChainedException(Throwable throwable)

### ChainedException

    public ChainedException(String message,
                            Throwable throwable)

Method Detail

### getMessageChain

    public String[] getMessageChain()

### getMessageList

    public Vector getMessageList()

### getThrowable

    public Throwable getThrowable()

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream out)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |